SecurityDialog (IcedTea-Web: NetX )
Keywords: net.sourceforge.jnlp.security.SecurityDialog class
Date: 2021-05-10

net.sourceforge.jnlp.security

## Class SecurityDialog

- java.lang.Object
- - net.sourceforge.jnlp.security.SecurityDialog

-     public class SecurityDialog
      extends java.lang.Object

  Provides methods for showing security warning dialogs for a wide range of JNLP security issues. Note that the security dialogs should be running in the secure AppContext - this class should not be used directly from an applet or application. See `SecurityDialogs` for a way to show security dialogs.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SecurityDialogs.AccessType` | `getAccessType()`
    `java.security.cert.X509Certificate` | `getCert()`
    `CertVerifier` | `getCertVerifier()`
    `JNLPFile` | `getFile()`
    `net.sourceforge.jnlp.security.dialogs.SecurityDialogPanel` | `getSecurityDialogPanel()`
    `net.sourceforge.jnlp.security.dialogresults.DialogResult` | `getValue()`
    `net.sourceforge.jnlp.security.dialogs.ViwableDialog` | `getViwableDialog()`
    `boolean` | `isInitialized()` Returns if this dialog has been fully initialized yet.
    `boolean` | `requiresSignedJNLPWarning()`
    `void` | `setValue(net.sourceforge.jnlp.security.dialogresults.DialogResult value)`
    `static void` | `showCertInfoDialog(CertVerifier certVerifier, java.awt.Component parent)` Displays CertPath information in a readable table format.
    `static void` | `showMoreInfoDialog(CertVerifier certVerifier, SecurityDialog parent)` Shows more information regarding jar code signing
    `static void` | `showSingleCertInfoDialog(java.security.cert.X509Certificate c, java.awt.Window parent)` Displays a single certificate's information.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### isInitialized

          public boolean isInitialized()

      Returns if this dialog has been fully initialized yet.
      Returns:
        true if this dialog has been initialized, and false otherwise.

    - #### showMoreInfoDialog

          public static void showMoreInfoDialog(CertVerifier certVerifier,
                                                SecurityDialog parent)

      Shows more information regarding jar code signing
      Parameters:
        `certVerifier` - the JarCertVerifier used to verify this application
        `parent` - the parent option pane

    - #### showCertInfoDialog

          public static void showCertInfoDialog(CertVerifier certVerifier,
                                                java.awt.Component parent)

      Displays CertPath information in a readable table format.
      Parameters:
        `certVerifier` - the JarCertVerifier used to verify this application
        `parent` - the parent option pane

    - #### showSingleCertInfoDialog

          public static void showSingleCertInfoDialog(java.security.cert.X509Certificate c,
                                                      java.awt.Window parent)

      Displays a single certificate's information.
      Parameters:
        `c` - the X509 certificate.
        `parent` - the parent pane.

    - #### getAccessType

          public SecurityDialogs.AccessType getAccessType()

    - #### getFile

          public JNLPFile getFile()

    - #### getCertVerifier

          public CertVerifier getCertVerifier()

    - #### getCert

          public java.security.cert.X509Certificate getCert()

    - #### setValue

          public void setValue(net.sourceforge.jnlp.security.dialogresults.DialogResult value)

    - #### getValue

          public net.sourceforge.jnlp.security.dialogresults.DialogResult getValue()

    - #### requiresSignedJNLPWarning

          public boolean requiresSignedJNLPWarning()

    - #### getViwableDialog

          public net.sourceforge.jnlp.security.dialogs.ViwableDialog getViwableDialog()

    - #### getSecurityDialogPanel

          public net.sourceforge.jnlp.security.dialogs.SecurityDialogPanel getSecurityDialogPanel()

Submit a bug or feature